%define tarname OCSNG_LINUX_AGENT_1.01

Name:      ocsinventory-ipdiscover
Version:   1.01
Release:   3%{?dist}
Summary:   Open Computer and Software Inventory Next Generation client

Group:     Development/Libraries
License:   GPLv2
URL:       http://ocsinventory.sourceforge.net/
Source0:   http://downloads.sourceforge.net/sourceforge/ocsinventory/%{tarname}.tar.gz
Patch0:    ocsinventory-ipdiscover.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Open Computer and Software Inventory Next Generation is an application
designed to help a network or system administrator keep track of computer
configuration and software installed on the network. 

It also allows deploying softwares, commands or files on Windows and 
Linux client computers.

%{name} provide the ipdiscover command used by 
client agent for Linux.

%description -l fr
Open Computer and Software Inventory Next Generation est une application
destinée à aider l'administrateur système ou réseau à garder un oeil sur
la configuration des machines du réseau et sur les logiciels qui y sont
installés. 

Elle autorise aussi la télédiffusion (ou déploiement) de logiciels, 
de commandes ou de fichiers sur les clients Windows ou Linux.

%{name} fournit la commande ipdiscover utilisée par 
le client pour Linux.

%prep
%setup -q -n %{tarname}
%patch0 -p0
touch -r README timestamp
%{__perl} -pi -e 's/\r//' README
touch -r timestamp README


%build
%{__cc} %{optflags} -o ipdiscover ipdiscover.c

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__install} -m 755 ipdiscover %{buildroot}%{_sbindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README
%{_sbindir}/ipdiscover


%changelog
* Thu Aug 23 2007 Remi Collet <Fedora@famillecollet.com> 1.01-3
- Fix License
- F-8 rebuild (BuildID)

* Fri Apr 06 2007 Remi Collet <Fedora@famillecollet.com> 1.01-2
- change source URL
- add ocsinventory-ipdiscover.patch
- preserve README timestamp

* Tue Mar 20 2007 Remi Collet <Fedora@famillecollet.com> 1.01-1
- split from ocsinventory-client
- update to 1.01
